NDT Time Now
NDT is the abbreviation of Newfoundland Daylight Time. Time zone offset of NDT is UTC-02:30. Newfoundland Daylight Time is 2 hours 30 minutes behind from the UTC universal time. NDT current date is 10th Tuesday November 2026. Current time in NDT (NDT).
NDT Time
10:49:54
10 November 2026 Tuesday
NDT is the abbreviation of Newfoundland Daylight Time. It is the time standard effective for summer in the region of Newfoundland Island, which is the easternmost state of Canada. Newfoundland Daylight Time is 2 hours 30 minutes behind the UTC universal time, Newfoundland is the only area in Northern Hemisphere where this time standard is observed.
What time is it in Newfoundland Daylight Time now? It is 10:49:54 right now.
Newfoundland Daylight Time Date and Time Now in Various Formats
| Date Time Format | NDT Date Time Now |
|---|---|
| UTC | 2026-11-10T13:19:54Z |
| ISO-8601 | 2026-11-10T10:49:54-0230 |
| RFC 2822 | Tue, 10 Nov 2026 10:49:54 -0230 |
| RFC 850 | Tuesday, 10-Nov-26 10:49:54 NDT |
| RFC 1036 | Tue, 10 Nov 26 10:49:54 -0230 |
| RFC 1123 | Tue, 10 Nov 2026 10:49:54 -0230 |
| RFC 822 | Tue, 10 Nov 26 10:49:54 -0230 |
| RFC 3339 | 2026-11-10T10:49:54-02:30 |
| ATOM | 2026-11-10T10:49:54-02:30 |
| COOKIE | Tuesday, 10-Nov-2026 10:49:54 NDT |
| RSS | Tue, 10 Nov 2026 10:49:54 -0230 |
| W3C | 2026-11-10T10:49:54-02:30 |
| Unix Epoch | 1794316794 |
| YYYY-DD-MM HH:MM:SS | 2026-10-11 10:49:54 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-10-11 10:49:54 AM |
| DD-MM-YYYY HH:MM:SS | 10-11-2026 10:49:54 |
| MM-DD-YYYY HH:MM:SS | 11-10-2026 10:49:54 |